# Changelog

## 2025-01-29 - 2.0.39 - fix(package.json)
Add pnpm overrides configuration for peek-readable package

- Added pnpm overrides section in package.json
- Specified version 5.3.1 for peek-readable package

## 2025-01-29 - 2.0.38 - fix(core)
Updated dependencies and added assetsHandler instantiation

- Updated various dependencies in package.json to latest versions.
- Added assetsHandler instantiation in TsWatch class to improve functionality.

## 2024-12-09 - 2.0.37 - fix(core)
Refactor TsWatch class to improve website execution handling

- Removed unnecessary Smartshell instance creation in TsWatch class.
- Ensured websiteExecution restarts and website bundle reloads in watcher function.

## 2024-12-09 - 2.0.36 - fix(dependencies)
Update @push.rocks/smartshell dependency version

- Upgrade @push.rocks/smartshell to version ^3.2.0 from ^3.1.0 in package.json

## 2024-12-09 - 2.0.35 - fix(core)
Fixed website watch mode execution method

- Replaced direct shell command execution with SmartExecution instance for website mode.
- Updated dependency version for @push.rocks/smartshell to ^3.1.0.

## 2024-12-04 - 2.0.34 - fix(TsWatch)
Fix reloading issue for tsfolder changes in element mode.

- Adjusted the function call from 'this.typedserver.reload()' to 'bundleAndReloadElement()' to ensure proper bundle handling in 'element' mode.

## 2024-12-04 - 2.0.33 - fix(core)
Improve async handling in TsWatch class for element and website modes

- Ensured proper asynchronous execution for 'element' and 'website' watch modes.
- Replaced console log with logger for consistency.

## 2024-12-04 - 2.0.32 - fix(core)
Minor improvements and dependency updates

- Updated dependencies for improved performance
- Refined TypeScript project watching logic

## 2024-12-04 - 2.0.31 - fix(Watcher)
Add missing logger message in Watcher class for start method

- Added a log message when starting a watcher to track file path being watched

## 2024-12-04 - 2.0.30 - fix(cli)
Fix incorrect watch mode and update npm test command.

- Updated the npm test command in .vscode/launch.json for streamlined launching.
- Corrected the watch mode from 'echoSomething' to 'echo' in test/test.ts.

## 2024-12-04 - 2.0.29 - fix(core)
No changes detected in the codebase.


## 2024-12-04 - 2.0.28 - fix(tswatch)
Add logging to notify folder watcher creation and building processes

- Logging added to notify the creation of folder watchers.
- Logging added to indicate the start of the building process for folders.

## 2024-12-04 - 2.0.27 - fix(core)
Refactor watch mode commands and exports

- Updated watch mode names in CLI and type definitions for consistency.
- Added export for smartfile plugin.
- Ensured updated command logic is applied during CLI operations.

## 2024-12-04 - 2.0.26 - fix(core)
Refactor watch modes and update dependencies

- Updated dependencies in package.json
- Refactored watch mode names in interfaces and classes
- Refactored CLI commands to use new watch mode names
- Added import for smartfile in tswatch.plugins.ts

## 2024-10-27 - 2.0.25 - fix(typescript)
Remove unnecessary reference types in TypeScript declaration files

- Removed unnecessary comment line from TypeScript declaration files.

## 2024-10-27 - 2.0.24 - fix(core)
Remove .gitlab-ci.yml and update dependencies in package.json

- Deleted .gitlab-ci.yml which contained CI/CD configuration settings.
- Updated various dependencies and devDependencies in package.json to newer versions.

## 2024-01-28 to 2024-01-09 - 2.0.14 to 2.0.23 - Core
Several updates to the core functionality.

- Updated core functionality for efficiency and stability.

## 2023-09-21 to 2023-01-28 - 2.0.8 to 2.0.13 - Core
Core system updates and fixes.

- Continuous updates to core functionality for improved performance.

## 2023-03-31 to 2022-08-04 - 2.0.0 to 2.0.7 - Core
Enhanced core operations.

- Regular core updates to address performance and reliability.

## 2022-05-04 - 1.0.81 - Core
Introduction of a breaking change in the core system.

- Switched to gitzone v2 generation tools.

## 2022-04-21 to 2022-03-18 - 1.0.62 to 1.0.80 - Core
Routine updates to core operations.

- Various core fixes enhancing stability and function.

## 2022-03-14 to 2022-03-18 - 1.0.61 to 1.0.75 - Core
Further adjustments to core functionality.

- Fixes across multiple modules in core.

## 2021-08-17 to 2020-07-07 - 1.0.46 to 1.0.60 - Core
Core component updates.

- Consistent core updates to refine performance.

## 2020-07-04 to 2020-05-22 - 1.0.39 to 1.0.45 - Core
Incremental updates to core systems.

- Enhanced features within the core for better integration.

## 2020-03-13 to 2020-03-05 - 1.0.30 to 1.0.38 - Core
Stabilizing and refining core functions.

- Series of core fixes improving overall system durability.

## 2019-10-14 to 2019-10-12 - 1.0.21 to 1.0.29 - Core
Tweaks and enhancements to the core mechanics.

- Continued improvements in core system support services.

## 2019-05-28 to 2019-05-06 - 1.0.10 to 1.0.20 - Core
Core module enhancements and fixes.

- Several iterations to the core functionality for increased resilience.

## 2019-05-06 to 2019-05-08 - 1.0.5 to 1.0.9 - Core
Regular updates ensuring core integrity.

- Stability improvements within the core services.

## 2018-10-28 - 1.0.1 to 1.0.3 - Core
Initial setup and fixes to the core.

- Foundational updates to core functionality.
